import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import '../widgets/app_background.dart';
import '../widgets/auth_form.dart';
import '../../core/di/injection_container.dart';
import '../blocs/login/login_bloc.dart';

class AuthScreen extends StatelessWidget {
  const AuthScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (context) => sl<LoginBloc>(),
      child: Scaffold(
        resizeToAvoidBottomInset: false,
        body: AppBackground(
          child: SafeArea(
            child: Column(
              children: [
                const SizedBox(height: 60),
                // Logo
                Center(child: Image.asset("assets/images/logo2.png", width: 200)),
                // const SizedBox(height: 15),
                // Form - taking remaining space and centered
                Expanded(child: Center(child: const AuthForm())),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
